Class NotificationsImpl
java.lang.Object
com.eqixiac.equinix.customerportal.client.implementation.NotificationsImpl
- All Implemented Interfaces:
Notifications
-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptiongetIbxById(String id) Retrieves an IBX notification by id.getNetworkById(String id) Retrieves a network notification by id.List<? extends Notification> searchIbx(NotificationSearchRequest request) Searches IBX notifications (maintenance, incidents, advisories).List<? extends Notification> searchIbx(NotificationSearchRequest request, Integer offset, Integer limit) Searches IBX notifications (maintenance, incidents, advisories), paging the results.List<? extends Notification> searchNetwork(NotificationSearchRequest request) Searches network notifications (network maintenance and incidents).List<? extends Notification> searchNetwork(NotificationSearchRequest request, Integer offset, Integer limit) Searches network notifications (network maintenance and incidents), paging the results.
-
Constructor Details
-
NotificationsImpl
public NotificationsImpl()
-
-
Method Details
-
searchIbx
Description copied from interface:NotificationsSearches IBX notifications (maintenance, incidents, advisories).Maps to
POST /v1/notifications/ibx/search(search-ibx-notifications).- Specified by:
searchIbxin interfaceNotifications- Parameters:
request- the search request body- Returns:
- the matching IBX notifications
-
searchIbx
public List<? extends Notification> searchIbx(NotificationSearchRequest request, Integer offset, Integer limit) Description copied from interface:NotificationsSearches IBX notifications (maintenance, incidents, advisories), paging the results.Maps to
POST /v1/notifications/ibx/search(search-ibx-notifications).- Specified by:
searchIbxin interfaceNotifications- Parameters:
request- the search request bodyoffset- the index of the first item returned (zero-based), ornullfor the defaultlimit- the maximum number of items returned per page, ornullfor the default- Returns:
- the matching IBX notifications
-
searchNetwork
Description copied from interface:NotificationsSearches network notifications (network maintenance and incidents).Maps to
POST /v1/notifications/network/search(search-network-notifications).- Specified by:
searchNetworkin interfaceNotifications- Parameters:
request- the search request body- Returns:
- the matching network notifications
-
searchNetwork
public List<? extends Notification> searchNetwork(NotificationSearchRequest request, Integer offset, Integer limit) Description copied from interface:NotificationsSearches network notifications (network maintenance and incidents), paging the results.Maps to
POST /v1/notifications/network/search(search-network-notifications).- Specified by:
searchNetworkin interfaceNotifications- Parameters:
request- the search request bodyoffset- the index of the first item returned (zero-based), ornullfor the defaultlimit- the maximum number of items returned per page, ornullfor the default- Returns:
- the matching network notifications
-
getIbxById
Description copied from interface:NotificationsRetrieves an IBX notification by id.Maps to
GET /v1/notifications/ibx/{id}(get-ibx-Notification).- Specified by:
getIbxByIdin interfaceNotifications- Parameters:
id- the notification id- Returns:
- the matching IBX notification
-
getNetworkById
Description copied from interface:NotificationsRetrieves a network notification by id.Maps to
GET /v1/notifications/network/{id}(get-network-Notification).- Specified by:
getNetworkByIdin interfaceNotifications- Parameters:
id- the notification id- Returns:
- the matching network notification
-